Skip to main content
POST
Create customer balance transaction

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

customer_id
string
required

Body

application/json
amount
string
required
type
enum<string>
required
Available options:
increment,
decrement
description
string | null

An optional description that can be specified around this entry.

Response

OK

id
string
required

A unique id for this transaction.

Example:

"cgZa3SXcsPTVyC4Y"

created_at
string<date-time>
required

The creation time of this transaction.

Example:

"2022-05-01T07:01:31+00:00"

starting_balance
string
required

The original value of the customer's balance prior to the transaction, in the customer's currency.

Example:

"33.00"

ending_balance
string
required

The new value of the customer's balance prior to the transaction, in the customer's currency.

Example:

"22.00"

amount
string
required

The value of the amount changed in the transaction.

Example:

"11.00"

action
enum<string>
required
Available options:
applied_to_invoice,
manual_adjustment,
prorated_refund,
revert_prorated_refund,
return_from_voiding,
credit_note_applied,
credit_note_voided,
overpayment_refund,
external_payment,
small_invoice_carryover
description
string | null
required

An optional description provided for manual customer balance adjustments.

Example:

"An optional description"

invoice
InvoiceTiny · object | null
required
type
enum<string>
required
Available options:
increment,
decrement
credit_note
CreditNoteTiny · object | null
required